Delete listing
DELETE
/listings/{id}
const url = 'https://acme.mykreezalid.com/api/v1/listings/1';const options = {method: 'DELETE', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://acme.mykreezalid.com/api/v1/listings/1 \ --header 'Authorization: Basic <credentials>'Deletes a listing and removes it from your marketplace search. The response has the HTTP status 200 whether or not the deletion succeeded: read success.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Listing’s unique identifier
Responses
Section titled “Responses”Result of the deletion
Media typeapplication/json
object
success
boolean
message
string
Example
{ "success": true, "message": "Listing deleted"}Missing or wrong API credentials
No listing has this identifier